%% Import data (importdata_mod) examples


%% I. Load simple table like
%===Data example====
% 1 2 3 4
% 5 6 7 8
% 9 10 11 12
% 13 14 15 16
%===Data example====
clc
Import_Data=importdata_mod('importdata_test1.txt');
disp(Import_Data)
clear all
%% II. Load table with simple header like
%===Data example====
% a b c d
% 1 2 3 4
% 5 6 7 8
% 9 10 11 12
% 13 14 15 16
%===Data example====
clc
% ignore header names - load everything in Import_Data1
Import_Data1=importdata_mod('importdata_test2.txt'); 
disp(Import_Data1)
% OR use for NEW variables  header names a=[1 5 9 13], b=[2 6 10 14] - add
% key 'as_is'
importdata_mod('importdata_test2.txt','as_is');
disp('a=')
disp(a)
disp('b=')
disp(b)
disp('c=')
disp(c)
clear all

% OR just load first 2 vectors [a, b] 
clc
[a1, b1]=importdata_mod('importdata_test2.txt','defined');

%% III. Load table with header and comments like (comments sign % or #)
%===Data example====
% #Simple test
% #Just ignore this comments please!
% a, metr; b, cm; c, MW/m^3; d
% 1 2 3 4
% 5 6 7 8
% 9 10 11 12
% 13 14 15 16
%===Data example====
% vectors a,b,c,d
importdata_mod('importdata_test4.txt','as_is');
%OR
Import_Data4=importdata_mod('importdata_test4.txt'); 
%OR
[a2, b2]=importdata_mod('importdata_test4.txt','defined');
